=== debian/changelog ===
ros-rolling-canopen-fake-slaves (0.2.7-1jammy) jammy; urgency=high

  * Add missing license headers and activate ament_copyright
  * Contributors: Christoph Hellmann Santos

 -- Christoph Hellmann Santos <cmh@ipa.fraunhofer.de>  Thu, 29 Jun 2023 22:00:00 -0000

ros-rolling-canopen-fake-slaves (0.2.6-1jammy) jammy; urgency=high



 -- Christoph Hellmann Santos <cmh@ipa.fraunhofer.de>  Fri, 23 Jun 2023 22:00:00 -0000

ros-rolling-canopen-fake-slaves (0.2.5-1jammy) jammy; urgency=high



 -- Christoph Hellmann Santos <cmh@ipa.fraunhofer.de>  Thu, 22 Jun 2023 22:00:00 -0000

ros-rolling-canopen-fake-slaves (0.2.4-1jammy) jammy; urgency=high



 -- Christoph Hellmann Santos <cmh@ipa.fraunhofer.de>  Wed, 21 Jun 2023 22:00:00 -0000

ros-rolling-canopen-fake-slaves (0.2.3-1jammy) jammy; urgency=high



 -- Christoph Hellmann Santos <cmh@ipa.fraunhofer.de>  Wed, 21 Jun 2023 22:00:00 -0000

ros-rolling-canopen-fake-slaves (0.2.2-1jammy) jammy; urgency=high



 -- Christoph Hellmann Santos <cmh@ipa.fraunhofer.de>  Tue, 20 Jun 2023 22:00:00 -0000

ros-rolling-canopen-fake-slaves (0.2.1-1jammy) jammy; urgency=high

  * Fix fake slave for PDOs
  * Contributors: Christoph Hellmann Santos

 -- Christoph Hellmann Santos <cmh@ipa.fraunhofer.de>  Tue, 20 Jun 2023 22:00:00 -0000

ros-rolling-canopen-fake-slaves (0.2.0-1jammy) jammy; urgency=high

  * Created package
  * Contributors: Błażej Sowa, Christoph Hellmann Santos, James Ward, Vishnuprasad Prachandabhanu

 -- Christoph Hellmann Santos <cmh@ipa.fraunhofer.de>  Tue, 13 Jun 2023 22:00:00 -0000
