=== debian/control ===
Source: ros-rolling-canopen-fake-slaves
Section: misc
Priority: optional
Maintainer: Christoph Hellmann Santos <cmh@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-lely-core-libraries, ros-rolling-lifecycle-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-canopen-fake-slaves
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-lely-core-libraries, ros-rolling-lifecycle-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-ros-workspace
Description: Package with mock canopen slave
